---
updatedAt: 2025-05-20T21:54:15.000Z
agentTools:
  projectIndex: https://shop-and-pay.readme.io/llms.txt
---

# Update a Pre-Authorization

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-settings",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.shop-and-pay.com/v1.0"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/Transaction/{id}/updatePreAuthorization": {
      "put": {
        "summary": "Update a Pre-Authorization",
        "description": "",
        "operationId": "update-a-pre-authorization",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "ID of the transacton to charge.",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "required": true
          },
          {
            "name": "instance",
            "in": "query",
            "description": "Your Shop & Pay instance name",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "properties": {
                  "amount": {
                    "type": "integer",
                    "description": "Amount for charge in cents.",
                    "format": "int32"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{  \n    \"status\":\"success\",\n    \"data\":[  \n        {  \n            \"id\":2,\n            \"uuid\":\"81d545ca\",\n            \"referenceId\": \"975382\",\n            \"time\":\"2017-10-16 12:29:12\",\n            \"status\":\"reserved\",\n            \"lang\":\"de\",\n            \"psp\":\"Shopandpay_Payments\",\n            \"amount\": 123\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 2,
                            "default": 0
                          },
                          "uuid": {
                            "type": "string",
                            "example": "81d545ca"
                          },
                          "referenceId": {
                            "type": "string",
                            "example": "975382"
                          },
                          "time": {
                            "type": "string",
                            "example": "2017-10-16 12:29:12"
                          },
                          "status": {
                            "type": "string",
                            "example": "reserved"
                          },
                          "lang": {
                            "type": "string",
                            "example": "de"
                          },
                          "psp": {
                            "type": "string",
                            "example": "Shopandpay_Payments"
                          },
                          "amount": {
                            "type": "integer",
                            "example": 123,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "apiSignature=`echo -n \"\" | openssl dgst -sha256 -hmac \"INSTANCE_API_SECRET\" -binary | openssl enc -base64`\ncurl --request POST \"https://api.shop-and-pay.com/v1.0/Transaction/2/updatePreAuthorization?instance=INSTANCE_NAME\" \\\n  --data-urlencode \"amount=8925\" \\\n  --data-urlencode \"ApiSignature=$apiSignature\""
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```